﻿$packageName = 'xonotic'
$url = 'http://dl.xonotic.org/xonotic-0.6.0.zip'
$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64

try {
wget -P "C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools" -c -t 0 --timeout=30 --waitretry=30 "$url"
7za X -y "C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools\xonotic-0.6.0.zip" -o"C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools"
Remove-Item "C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools\xonotic-0.6.0.zip"

#Create shortcut

$linkPath        = Join-Path ([Environment]::GetFolderPath("Desktop")) "Xonotic.lnk"

  if ($is64bit) {
	$targetPath      = "C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools\Xonotic\xonotic-x64.exe"
  } else {
	$targetPath      = "C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools\Xonotic\xonotic.exe"
  }

$link            = (New-Object -ComObject WScript.Shell).CreateShortcut($linkPath)
$link.TargetPath = $targetPath
$link.WorkingDirectory ="C:\Chocolatey\lib\xonotic.0.6.0.20130517\tools\Xonotic"

# Call

$link.Save()

  Write-ChocolateySuccess "$packageName"
} catch {
  Write-ChocolateyFailure "$packageName" "$($_.Exception.Message)"
  throw 
}